libstdc++

Classes | Namespaces | Macros | Functions
debug/list File Reference

Go to the source code of this file.

## Classes

class | std::__debug::list< _Tp, _Allocator >
| Class std::list with safety/checking/debug instrumentation. More...

## Namespaces

namespace | std
namespace | std::__debug

## Macros

#define | _GLIBCXX_DEBUG_LIST

## Functions

template<typename _Tp , typename _Alloc >
bool | std::__debug::operator!= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator< (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator<= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator== (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator> (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator>= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
void | std::__debug::swap (list< _Tp, _Alloc > &__lhs, list< _Tp, _Alloc > &__rhs)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/list.